# libgeda.spec

Name: 		libgeda
Version: 	20060123
Release: 	1
Summary: 	Libraries for the gEDA project
Group: 		System Environment/Libraries
License:	GPL 
URL:		http://www.geda.seul.org
Source:		ftp://ftp.geda.seul.org/pub/geda/devel/20060123/libgeda-20060123.tar.gz
BuildRoot:    	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	guile
BuildRequires:	pkgconfig
BuildRequires:	gtk2-devel
BuildRequires:	libgdgeda-devel

%description
This package contains libgeda, the library needed by gEDA applications.


%package devel
Summary: 	Development files for the libgeda library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Development files for libgeda library


%prep
%setup -q

%build
%configure
make all %{?_smp_mflags}

# install will be a bit complicated because we are not assured
# that the builder has root privileges
%install
rm -Rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_libdir}/libgeda.la

%post 
/sbin/ldconfig
/sbin/install-info %{_infodir}/libgedadoc.info.gz %{_infodir}/dir
%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete %{_infodir}/libgedadoc.info.gz %{_infodir}/dir
fi
%postun -p /sbin/ldconfig


%clean

%files
%defattr(-,root,root,-)
%doc AUTHORS BUGS COPYING ChangeLog HACKING README TODO
%{_libdir}/libgeda.so.25
%{_libdir}/libgeda.so.25.0.0
%{_infodir}/libgedadoc*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/libgeda
%{_includedir}/libgeda/*.h
%{_libdir}/pkgconfig/libgeda.pc
%{_libdir}/libgeda.a
#%{_libdir}/libgeda.la
%{_libdir}/libgeda.so

%changelog
* Sat Mar 25 2006 - joe_morris@ntm.org
- build on SuSE x86_64

* Fri Jan 27 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20060123-1.fc4
- updated to version 20060123 - libgeda.so.25.0.0

* Sun Jan 1 2006 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-2.fc4
- specfile cleanup

* Wed Aug 24 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050820-1.fc4
- updated to version 20050820

* Tue Jun 28 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc4
- rebuilt for Fedora Core 4

* Tue Mar 14 2005 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20050313-1.fc3.wk
- updated to version 20050313 - libgeda.so.23.0.0

* Wed Dec 28 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20041228-1.fc3.wk
- updated to version 20041228 - libgeda.so.22.0.0,

* Sun Dec 12 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1.fc3.wk
- rebuilt for Fedora Core 3

* Wed Jan 14 2004 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20040111-1
- updated to version 20040111 - libgeda.so.20.0.0,
- built on Fedora Core 1
- modified specfile

* Thu Sep 4 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030901-1
- updated to version 20030901 - libgeda.so.19.0.0

* Wed May 28 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20030525-1
- updated to version 20030525, compiled on RedHat 9

* Tue Feb 25 2003 Wojciech Kazubski <wk at ire.pw.edu.pl> - 200302223-2
- updated to version 20030223 - libgeda.so.18.0.0

* Fri Nov 8 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20021103-1
- updated to version 20021103, compiled on RedHat 8.0

* Wed Sep 4 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> -20020825-1
- updated to version 20020825

* Sat Jun 1 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020527-1
- updated to version 20020527

* Wed Feb 13 2002 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20020209-1
- updated to version 20020209 - libgeda.so.15.0.0
- info files added
- split into libgeda and libgeda-devel

* Tue Nov 27 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-2
- some corrections

* Thu Aug 3 2001 Wojciech Kazubski <wk at ire.pw.edu.pl> - 20010722-1
- updated to version 20010722; built on redhat-7.0

* Sun Mar 11 2001 L.J.H. Timmerman <bert.timmerman at corusgroup.com>
- updated to version 20010304; built on redhat-7.0

* Thu Aug 10 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- rebuild with new version of rpm (shouldn't change anything)

* Thu Jul  6 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 20000704
- changed licence from LGPL to GPL

* Wed Feb 23 2000 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- removed 'Redhat Contrib Net' stuff
- updated to version 20000220

* Thu Oct 14 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19991011

* Wed Sep 22 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990919

* Wed Sep  1 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- updated to version 19990829

* Mon Jul 19 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- Group is now System Environment/Libraries
- rebuild with libgdgeda

* Sat Jul 10 1999 Emmanuel Rouat <emmanuel.rouat at wanadoo.fr>
- initialization of spec file.

# end of file
